curl -X POST '/v1/agentic-wallets/create' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Production Agent Wallet"
}'
{
"success": true,
"data": {
"wallet_id": "aw_01abc123",
"name": "Production Agent Wallet",
"wallet_address": "0x742d35Cc6634C0532925a3b8D4C9C2A5Ef8C2B1",
"chain": "base",
"status": "created",
"balance": 0,
"created_at": "2026-04-01T12:00:00Z"
}
}
Create a new agentic wallet for AI agent use
curl -X POST '/v1/agentic-wallets/create' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Production Agent Wallet"
}'
{
"success": true,
"data": {
"wallet_id": "aw_01abc123",
"name": "Production Agent Wallet",
"wallet_address": "0x742d35Cc6634C0532925a3b8D4C9C2A5Ef8C2B1",
"chain": "base",
"status": "created",
"balance": 0,
"created_at": "2026-04-01T12:00:00Z"
}
}
Bearer YOUR_ACCESS_TOKENcurl -X POST '/v1/agentic-wallets/create' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Production Agent Wallet"
}'
{
"success": true,
"data": {
"wallet_id": "aw_01abc123",
"name": "Production Agent Wallet",
"wallet_address": "0x742d35Cc6634C0532925a3b8D4C9C2A5Ef8C2B1",
"chain": "base",
"status": "created",
"balance": 0,
"created_at": "2026-04-01T12:00:00Z"
}
}